<form name="editForm" role="form" novalidate (ngSubmit)="save()" #editForm="ngForm">
    <h5 style="margin-top: 15px;">
       <span jhiTranslate="mpmApp.generalUpload.detail.title">General Uploads</span>
    </h5>
    <br/>
    <p-panel>
        <p-header>
            <!-- {{'global.field.id' | translate}} : {{generalUpload.idGeneralUpload}} -->
            <ul class="nav justify-content-end">
                <li class="nav-item" [hidden]="!(generalUpload.currentStatus === 10 || generalUpload.currentStatus === 11)">
                    <a class="btn" (click)="canceled()" style="cursor: pointer;">
                        <span><i class="fa fa-remove"></i> &nbsp;{{'entity.action.cancel' | translate}}</span>
                    </a>
                </li>
                <li class="nav-item" [hidden]="generalUpload.currentStatus !== 10">
                    <a class="btn" (click)="activated()" style="cursor: pointer;">
                        <span><i class="fa fa-check"></i> &nbsp;{{'entity.action.upload' | translate}}</span>
                    </a>
                </li>
                <li class="nav-item">
                    <a class="btn" (click)="previousState()" style="cursor: pointer;">
                        <span><i class="fa fa-ban"></i> &nbsp;{{'entity.action.cancel' | translate}}</span>
                    </a>
                </li>
                <li class="nav-item">
                    <a class="btn" (click)="save()" href="javascript:void(0)" style="cursor: pointer;">
                        <span><i class="fa fa-save"></i> &nbsp;{{'entity.action.save' | translate}}</span>
                    </a>
                </li>
            </ul>
        </p-header>
        <div class="card-deck" style="margin-bottom: 15px;">
            <div class="card">
                <div class="card-block">
                    <div class="form-group" [hidden]="!generalUpload.idGeneralUpload">
                        <label for="id" jhiTranslate="global.field.id">ID</label>
                        <input type="text" class="form-control" id="id" name="id" [(ngModel)]="generalUpload.idGeneralUpload" readonly />
                    </div>
                    <div class="form-group">
                        <label class="form-control-label" jhiTranslate="mpmApp.generalUpload.description" for="field_description">Description</label>
                        <input type="text" class="form-control" name="description" id="field_description"
                            [(ngModel)]="generalUpload.description"  />
                    </div>
                    <div class="form-group">
                        <label class="form-control-label" jhiTranslate="mpmApp.generalUpload.value" for="field_value">Value</label>
                        <div>
                            <div *ngIf="generalUpload.value" class="form-text text-danger clearfix">
                                <a class="pull-left" (click)="openFile(generalUpload.valueContentType, generalUpload.value)" jhiTranslate="entity.action.open">open</a><br>
                                <span class="pull-left">{{generalUpload.valueContentType}}, {{byteSize(generalUpload.value)}}</span>
                                <button type="button" (click)="generalUpload.value=null;generalUpload.valueContentType=null;"
                                        class="btn btn-default btn-xs pull-right">
                                    <span class="fa fa-times"></span>
                                </button>
                            </div>
                            <input type="file" (change)="setFileData($event, generalUpload, 'value', false)" jhiTranslate="entity.action.addblob"/>
                        </div>
                        <input type="hidden" class="form-control" name="value" id="field_value"
                            [(ngModel)]="generalUpload.value"  />
                        <input type="hidden" class="form-control" name="valueContentType" id="field_valueContentType"
                            [(ngModel)]="generalUpload.valueContentType" />
                    </div>

                    <div class="form-group">
                        <label jhiTranslate="mpmApp.generalUpload.internal" for="field_internal">Internal</label>
                        <select class="form-control" id="field_internal" name="internal" [(ngModel)]="generalUpload.internalId" >
                            <option [ngValue]="null"></option>
                            <option [ngValue]="internalOption.idInternal" *ngFor="let internalOption of internals; trackBy: trackInternalById">{{internalOption.idInternal}} - {{internalOption.organization.name}}</option>
                        </select>
                    </div>
                    <div class="form-group">
                        <label jhiTranslate="mpmApp.generalUpload.purpose" for="field_purpose">Purpose</label>
                        <select class="form-control" id="field_purpose" name="purpose" [(ngModel)]="generalUpload.purposeId" >
                            <option [ngValue]="null"></option>
                            <option [ngValue]="purposeTypeOption.idPurposeType" *ngFor="let purposeTypeOption of purposetypes; trackBy: trackPurposeTypeById">{{purposeTypeOption.description}}</option>
                        </select>
                    </div>
                </div>
            </div>
        </div>
    </p-panel>
</form>
<p-confirmDialog></p-confirmDialog>